close all;
set(gca,'fontsize',13)
x0=10;
y0=10;
width=400;
height=200;
set(gcf,'units','points','position',[x0,y0,width,height])
x=[1:1:100];

y1 = x.^2.*2.^(2.*x).*(log(x)).^2+1;
y2 = x.^2.*2.^(3.*x)+1;
hold on
plot(x(5:5:end), log(y2(5:5:end)), 'r*', 'MarkerSize',6)
plot(x(5:5:end), log(y1(5:5:end)), 'ko', 'MarkerSize',6)
plot(x, log(y1), '-k', 'LineWidth',1.1)
plot(x, log(y2), '-r', 'LineWidth',1.1)
legend('O(m^2 2^{3m})', 'O(m^2 2^{2m} log^2 (m))' ,'Location','northwest')
legend boxoff
set(gca,'ytick',[0 100 200])
ylim([-10 250])
set(gca,'XTick',[1 50 100] );
ylabel('log(time)')
xlabel('m')